commonmark-0.2.6.1: Pure Haskell commonmark parser.

Safe Haskell | None
Language | Haskell2010

Commonmark.Entity

Synopsis

- lookupEntity :: Text -> Maybe Text
- charEntity :: forall (m :: Type -> Type) s. Monad m => ParsecT [Tok] s m [Tok]
- numEntity :: forall (m :: Type -> Type) s. Monad m => ParsecT [Tok] s m [Tok]
- pEntity :: forall (m :: Type -> Type) s. Monad m => ParsecT [Tok] s m Tok
- unEntity :: [Tok] -> Text

# Documentation

lookupEntity :: Text -> Maybe Text #

Lookup an entity, using `lookupNumericEntity` if it starts with `#` and `lookupNamedEntity` otherwise

charEntity :: forall (m :: Type -> Type) s. Monad m => ParsecT [Tok] s m [Tok] #

numEntity :: forall (m :: Type -> Type) s. Monad m => ParsecT [Tok] s m [Tok] #

pEntity :: forall (m :: Type -> Type) s. Monad m => ParsecT [Tok] s m Tok #

unEntity :: [Tok] -> Text #